Note

Access to this page requires authorization. You can try signing in or .

Access to this page requires authorization. You can try .

Capacities - Groups AssignToCapacity

Service:
Power BI REST APIs
API Version:
v1.0

Assigns the specified workspace to the specified capacity.

To unassign My workspace from a capacity, provide an empty GUID (00000000-0000-0000-0000-000000000000) as the capacityId.

Permissions

Required Scope

Capacity.ReadWrite.All and Workspace.ReadWrite.All

POST https://api.powerbi.com/v1.0/myorg/groups/{groupId}/AssignToCapacity

URI Parameters

Name In Required Type Description
groupId
path True

string (uuid)

The workspace ID

Request Body

Name Required Type Description
capacityId True

string (uuid)

The capacity ID. To unassign from a capacity, use an empty GUID (00000000-0000-0000-0000-000000000000).

Responses

Name Type Description
200 OK

OK

Examples

Example

Sample request

POST https://api.powerbi.com/v1.0/myorg/groups/f089354e-8366-4e18-aea3-4cb4a3a50b48/AssignToCapacity
Request Body
{
 "capacityId": "0f084df7-c13d-451b-af5f-ed0c466403b2"
}

Sample response

Status code:
200

Definitions

AssignToCapacityRequest

Object

A Power BI assign-to-capacity request

Name Type Description
capacityId

string (uuid)

The capacity ID. To unassign from a capacity, use an empty GUID (00000000-0000-0000-0000-000000000000).